Subject: Re: Add a way to disable «git clean» per repo

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Apr 2023 10:36:25 -0700

Guillem Jover <[email-masked]> writes:

> Accidentally running «git clean -xdf» or «git clean -Xdf» might be
> catastrophic there.

So would accidentally running "rm -fr" there be catastrophic, too.
I doubt it would make much sense to file a feature request to Debian
or GNU/FSF to disable "rm -r" in certain directories.  I am not sure
why "git clean" should be any different.

Commands like "git clean" require "-f" before they become overly
destructuve for a reason.  clean.requireForce defaults to true for
the same reason.